[arch-commits] CVS update of extra/multimedia/gnash-kde (PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Sun Aug 26 10:17:20 EDT 2007


    Date: Sunday, August 26, 2007 @ 10:17:20
  Author: pierre
    Path: /home/cvs-extra/extra/multimedia/gnash-kde

Modified: PKGBUILD (1.1 -> 1.2)

make everything to look nice


----------+
 PKGBUILD |   61 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 30 insertions(+), 31 deletions(-)


Index: extra/multimedia/gnash-kde/PKGBUILD
diff -u extra/multimedia/gnash-kde/PKGBUILD:1.1 extra/multimedia/gnash-kde/PKGBUILD:1.2
--- extra/multimedia/gnash-kde/PKGBUILD:1.1	Sun Aug 26 10:10:56 2007
+++ extra/multimedia/gnash-kde/PKGBUILD	Sun Aug 26 10:17:20 2007
@@ -2,43 +2,42 @@
 pkgver=0.8.1rc4
 _rcver=0.8.1-rc4
 pkgrel=1
-pkgdesc="A GNU Flash movie player."
+pkgdesc="A GNU Flash movie player for Konqueror"
 arch=('i686' 'x86_64')
 url="http://www.gnu.org/software/gnash/"
 license=("GPL")
 depends=('kdebase' 'gnash-common')
 makedepends=('mesa' 'pkgconfig')
-source=(http://www.gnashdev.org/dev_snapshots/gnash-$_rcver.tgz)
+source=("http://www.gnashdev.org/dev_snapshots/gnash-${_rcver]}.tgz")
 options=('libtool')
 md5sums=('320c1e50cc4392818b2bb417a39fe64c')
 
 build() {
-  cd $startdir/src/gnash-$_rcver
-  
-    ./configure --prefix=/usr \
-       --enable-kparts \
-          --disable-nsapi \
-             --enable-gui=KDE \
-                --enable-z \
-                   --enable-jpeg \
-                      --enable-renderer=agg \
-                         --enable-media=ffmpeg \
-                            --enable-write \
-                               --disable-cygnal \
-                                --enable-klash \
-                                 --disable-qtopia \
-                                  --with-qt-incl=/opt/qt/include \
-                                   --with-qt-lib=/opt/qt/lib
-                                   
-                                     make || return 1
-                                       mkdir $startdir/pkg-temp
-                                         make DESTDIR=$startdir/pkg-temp install
-                                         
-                                           install -m755 -D $startdir/pkg-temp/usr/bin/kde-gnash $startdir/pkg/usr/bin/kde-gnash
-                                           install -D $startdir/pkg-temp/usr/lib/kde3/libklashpart.a $startdir/pkg/usr/lib/kde3/libklashpart.a
-                                           install -D $startdir/pkg-temp/usr/lib/kde3/libklashpart.so $startdir/pkg/usr/lib/kde3/libklashpart.so
-                                           install -D $startdir/pkg-temp/usr/share/apps/klash/klashpartui.rc $startdir/pkg/usr/share/apps/klash/klashpartui.rc
-                                           install -D $startdir/pkg-temp/usr/share/apps/klash/pluginsinfo $startdir/pkg/usr/share/apps/klash/pluginsinfo
-                                           install -D $startdir/pkg-temp/usr/share/services/klash_part.desktop $startdir/pkg/usr/share/services/klash_part.desktop
-                                           
-                                           }
+	cd $startdir/src/gnash-$_rcver
+
+	./configure --prefix=/usr \
+	--enable-kparts \
+	--disable-nsapi \
+	--enable-gui=KDE \
+	--enable-z \
+	--enable-jpeg \
+	--enable-renderer=agg \
+	--enable-media=ffmpeg \
+	--enable-write \
+	--disable-cygnal \
+	--enable-klash \
+	--disable-qtopia \
+	--with-qt-incl=/opt/qt/include \
+	--with-qt-lib=/opt/qt/lib
+
+	make || return 1
+	mkdir $startdir/pkg-temp
+	make DESTDIR=$startdir/pkg-temp install
+
+	install -m755 -D $startdir/pkg-temp/usr/bin/kde-gnash $startdir/pkg/usr/bin/kde-gnash
+	install -D $startdir/pkg-temp/usr/lib/kde3/libklashpart.a $startdir/pkg/usr/lib/kde3/libklashpart.a
+	install -D $startdir/pkg-temp/usr/lib/kde3/libklashpart.so $startdir/pkg/usr/lib/kde3/libklashpart.so
+	install -D $startdir/pkg-temp/usr/share/apps/klash/klashpartui.rc $startdir/pkg/usr/share/apps/klash/klashpartui.rc
+	install -D $startdir/pkg-temp/usr/share/apps/klash/pluginsinfo $startdir/pkg/usr/share/apps/klash/pluginsinfo
+	install -D $startdir/pkg-temp/usr/share/services/klash_part.desktop $startdir/pkg/usr/share/services/klash_part.desktop
+}
\ No newline at end of file




More information about the arch-commits mailing list